[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.RealizeAutoRedraw

Implements the AutoRedraw feature when enabled.

## Declaration

Source position: graphics.pp line 1082

`protected procedure TCanvas.RealizeAutoRedraw; virtual;`

## Description

RealizeAutoRedraw is called when a new value for the AutoRedraw property is assigned. No actions are performed in the method when AutoRedraw is False, or when the Handle for the canvas has not been allocated.

RealizeAutoRedraw calls the DCRedraw method in the widgetset class using the value in Handle as the device context.

## See also

TCanvas.AutoRedraw |  | AutoRedraw - if True, the Canvas is to be redrawn automatically after each change or update.
TCanvas.Handle |  | Handle (or device context) for the drawing surface.